Bug 157678 - REGRESSION (r189567): Scrolling is broken in iTunes Connect pages with scrollable panes
Summary: REGRESSION (r189567): Scrolling is broken in iTunes Connect pages with scroll...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: Safari Technology Preview
Hardware: Macintosh OS X 10.11
: P2 Normal
Assignee: Dave Hyatt
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-05-13 11:47 PDT by Michael Brown
Modified: 2016-05-20 11:48 PDT (History)
10 users (show)

See Also:


Attachments
Example of page annotated with area which should scroll but doesn't. (118.81 KB, image/png)
2016-05-13 11:47 PDT, Michael Brown
no flags Details
Patch (4.19 KB, patch)
2016-05-20 09:32 PDT, Dave Hyatt
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-yosemite (1011.31 KB, application/zip)
2016-05-20 10:17 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (891.89 KB, application/zip)
2016-05-20 10:18 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (704.08 KB, application/zip)
2016-05-20 10:25 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-yosemite (1.50 MB, application/zip)
2016-05-20 10:35 PDT, Build Bot
no flags Details
Patch (4.21 KB, patch)
2016-05-20 10:49 PDT, Dave Hyatt
zalan: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Brown 2016-05-13 11:47:46 PDT
Created attachment 278857 [details]
Example of page annotated with area which should scroll but doesn't.

On the iTunes Connect site (https://itunesconnect.apple.com), pages which have a content pane that can scroll, don't scroll.

As an iOS app developer, if you go to "My Apps" and then select an app, you are taken to the general "App Information" page for that app. This page has a sidebar and a content pane. The content pane should be scrollable. With Safari Technology Preview scrolling these panes has never worked (including the just released STP 4). The scrolling works in all other browsers, including Safari 9.1.

An example URL that doesn't work is: https://itunesconnect.apple.com/WebObjects/iTunesConnect.woa/ra/ng/app/1037130497 (this is for one of my own iOS apps). The <div> that should scroll has the class "pane-layout-content-wrapper" in case that helps localize the problem.
Comment 1 Simon Fraser (smfr) 2016-05-13 12:00:42 PDT
Does this work in shipping Safari?
Comment 2 Radar WebKit Bug Importer 2016-05-13 12:01:02 PDT
<rdar://problem/26272765>
Comment 3 Radar WebKit Bug Importer 2016-05-13 12:01:31 PDT
<rdar://problem/26272774>
Comment 4 Simon Fraser (smfr) 2016-05-13 12:05:08 PDT
Tracked by rdar://problem/25457456.
Comment 5 Michael Brown 2016-05-13 13:24:02 PDT
(In reply to comment #1)
> Does this work in shipping Safari?

Yes, it works fine in shipping Safari.
Comment 6 David Kilzer (:ddkilzer) 2016-05-13 14:48:43 PDT
<rdar://problem/25457456>
Comment 7 Jon Lee 2016-05-16 14:01:05 PDT
Chrome and Firefox work fine. Div.pane-layout-content-wrapper has:

    -webkit-flex: 1 1 0px;
    flex: 1 1 0px;
    position: relative;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    -ms-flex-direction: column;
    min-height: 0;
    overflow-y: auto;
Comment 8 Dave Hyatt 2016-05-20 09:32:11 PDT
Created attachment 279482 [details]
Patch
Comment 9 Build Bot 2016-05-20 10:17:08 PDT
Comment on attachment 279482 [details]
Patch

Attachment 279482 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1354537

New failing tests:
fast/forms/control-clip-overflow.html
imported/blink/fast/css/text-overflow-ellipsis-button.html
Comment 10 Build Bot 2016-05-20 10:17:12 PDT
Created attachment 279484 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 11 Build Bot 2016-05-20 10:18:27 PDT
Comment on attachment 279482 [details]
Patch

Attachment 279482 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1354536

New failing tests:
fast/forms/control-clip-overflow.html
imported/blink/fast/css/text-overflow-ellipsis-button.html
Comment 12 Build Bot 2016-05-20 10:18:31 PDT
Created attachment 279485 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 13 Build Bot 2016-05-20 10:25:26 PDT
Comment on attachment 279482 [details]
Patch

Attachment 279482 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1354543

New failing tests:
fast/forms/control-clip-overflow.html
Comment 14 Build Bot 2016-05-20 10:25:30 PDT
Created attachment 279487 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.4
Comment 15 Build Bot 2016-05-20 10:35:44 PDT
Comment on attachment 279482 [details]
Patch

Attachment 279482 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1354544

New failing tests:
fast/forms/control-clip-overflow.html
imported/blink/fast/css/text-overflow-ellipsis-button.html
Comment 16 Build Bot 2016-05-20 10:35:47 PDT
Created attachment 279488 [details]
Archive of layout-test-results from ews112 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 17 Dave Hyatt 2016-05-20 10:49:24 PDT
Created attachment 279490 [details]
Patch
Comment 18 Dave Hyatt 2016-05-20 11:48:08 PDT
Fixed in r201218.